#
# spec file for package mozilla-nspr (Version 4.6.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mozilla-nspr
BuildRequires:  gcc-c++
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Version:        4.6.3
Release:        11
Summary:        Netscape Portable Runtime
Url:            http://www.mozilla.org/projects/nspr/
Group:          System/Libraries
Source:         nspr-%{version}.tar.bz2
Patch1:         prdtoa.patch
Patch3:         pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free), and shared library linking.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%debug_package
%package devel
Summary:        Netscape Portable Runtime development files
Group:          Development/Libraries/Other
Requires:       mozilla-nspr = %{version}

%description devel
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free), and shared library linking.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%prep
%setup -n nspr-%{version} -q
cd mozilla
%patch1
%patch3 -p2

%build
cd mozilla/nsprpub
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure --enable-optimize="$CFLAGS" \
            --disable-debug \
%ifarch x86_64
	    --enable-64bit \
%endif
	    --libdir=%{_libdir} \
	    --includedir=%{_includedir}/nspr4 \
	    --prefix=%{_prefix}
make %{?jobs:-j%jobs}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nspr
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{_includedir}/nspr4
cp mozilla/nsprpub/config/nspr-config $RPM_BUILD_ROOT%{_bindir}/
cp mozilla/nsprpub/config/nspr.pc $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
cp -L mozilla/nsprpub/dist/lib/*.so $RPM_BUILD_ROOT/%{_libdir}
cp -L mozilla/nsprpub/dist/lib/*.a  $RPM_BUILD_ROOT/%{_libdir}/nspr/
cp -rL mozilla/nsprpub/dist/include/nspr/* $RPM_BUILD_ROOT/%{_includedir}/nspr4/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so

%files devel
%defattr(-, root, root)
%{_bindir}/nspr-config
%{_libdir}/pkgconfig/nspr.pc
%{_includedir}/nspr4/
%exclude %{_includedir}/nspr4/md/*.h
%{_libdir}/nspr/

%changelog
* Sat Oct 21 2006 - aj@suse.de
- from openSUSE BuildService (thanks Wolfgang Rosenauer):
- update to version 4.6.3: Bug fix release.
* Tue Aug 01 2006 - stark@suse.de
- version is still 4.6.2
* Sat Jul 15 2006 - stark@suse.de
- added PR_SI_HOSTNAME_UNTRUNCATED flag to get the hostname as
  FQDN with PR_GetSystemInfo() if configured on a system
  (bmo #322956)
* Mon May 15 2006 - stark@suse.de
- update to 4.6.2 RTM version
  bugs fixed:
  * PR_ParseTimeString use PR_Assert and it calls abort on
  invalid date (bmo #247896)
  * PR_SetSysfdTableSize and PR_GetSysfdTableMax are not exported
  (bmo #326110)
  * Add a UTF-16 API to load a library (bmo #326168)
  * various changes for non-Linux platforms
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 16 2005 - stark@suse.de
- update to final 4.6.1 RTM version
* Wed Dec 07 2005 - stark@suse.de
- moved headers to nspr4 sub-directories and removed some
  unneeded headers
* Sat Nov 26 2005 - stark@suse.de
- changed ldconfig call in install-scripts
* Tue Nov 15 2005 - stark@suse.de
- current 4.6.1pre (20051114)
* Tue Oct 11 2005 - stark@suse.de
- next official release will most likely be 4.6.1 (20051010)
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Thu Sep 22 2005 - stark@suse.de
- update to 4.7.0pre (20050921)
* Tue May 31 2005 - stark@suse.de
- update to final 4.6
* Thu May 19 2005 - stark@suse.de
- renamed mozilla-nspr.pc to nspr.pc as decided upstream
- latest snapshots which integrates hidden.patch
* Wed May 18 2005 - stark@suse.de
- workaround for gcc bug (bmo #293438, bnc #83908)
- provide its own pkgconfig file (mozilla-nspr.pc)
* Tue May 10 2005 - stark@suse.de
- update to current HEAD (upstreamed two patches)
* Tue Apr 26 2005 - stark@suse.de
- moved static libs to sub-directory
  (almost nobody should link against them statically)
* Mon Apr 25 2005 - stark@suse.de
- fix nspr-config for biarch
* Tue Mar 22 2005 - stark@suse.de
- update to HEAD for mozilla compatibility
* Sat Mar 19 2005 - stark@suse.de
- update to 4.5.2beta1
* Tue Mar 08 2005 - stark@suse.de
- initial standalone package
